Create or update an incident post-mortem
PUT
/organizations/{org_id}/incidents/{incident_id}/postmortem
const url = 'https://api.perstat.io/organizations/example/incidents/example/postmortem';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"contributing_factors":"example","impact":"example","lessons":"example","root_cause":"example","summary":"example","title":"example","visibility":"example","what_went_well":"example","what_went_wrong":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.perstat.io/organizations/example/incidents/example/postmortem \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "contributing_factors": "example", "impact": "example", "lessons": "example", "root_cause": "example", "summary": "example", "title": "example", "visibility": "example", "what_went_well": "example", "what_went_wrong": "example" }'Creates or fully replaces the post-mortem document of the incident with title, summary, impact, root cause, contributing factors, what went well and wrong, lessons, and visibility (internal or public). This is a full-replace PUT; all fields must be supplied. Requires the incident command plan capability and returns 402 without it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org_id
required
string
incident_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Post-mortem anlegen/aktualisieren (Inhalte; Publizieren ist ein eigener Schritt).
object
contributing_factors
string
impact
string
lessons
string
root_cause
string
summary
string
title
string
visibility
internal (Default) oder public (auf publizierten Status-Seiten sichtbar).
string | null
what_went_well
string
what_went_wrong
string
Examplegenerated
{ "contributing_factors": "example", "impact": "example", "lessons": "example", "root_cause": "example", "summary": "example", "title": "example", "visibility": "example", "what_went_well": "example", "what_went_wrong": "example"}Responses
Section titled “Responses”Media typeapplication/json
Post-mortem (Nachbereitung) eines Incidents.
object
contributing_factors
required
string
impact
required
string
lessons
required
string
published_at_unix
integer | null format: int64
root_cause
required
string
status
required
string
summary
required
string
title
required
string
visibility
required
string
what_went_well
required
string
what_went_wrong
required
string
Examplegenerated
{ "contributing_factors": "example", "impact": "example", "lessons": "example", "published_at_unix": 1, "root_cause": "example", "status": "example", "summary": "example", "title": "example", "visibility": "example", "what_went_well": "example", "what_went_wrong": "example"}